{
  duration: 2,
  onImmunity(type, pokemon) {
    if (type === "sandstorm" || type === "hail")
      return false;
  },
  onInvulnerability(target, source, move) {
    if (["shadowpunch", "hyperspacehole", "hyperspacefury", "phantomforce", "shadowforce", "invasion", "phaseshift", "extrasensory"].includes(move.id)) {
      return;
    }
    return false;
  },
  onSourceModifyDamage(damage, source, target, move) {
    if (move.id === "shadowpunch") {
      return this.chainModify(2);
    }
  }
}